package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.AuthCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.LoginReq;
import cn.com.qmth.examcloud.core.basic.api.response.LoginResp;

@Service
public class AuthCloudServiceClient extends BasicCloudClientSupport implements AuthCloudService {

	private static final long serialVersionUID = -4571389823902680911L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public LoginResp login(LoginReq req) {
		return post("auth/login", req, LoginResp.class);
	}
}
