package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.OrgCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetAllOrgPropertiesReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgPropertyReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgsReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveOrgReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetAllOrgPropertiesResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgPropertyResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgsResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveOrgResp;

/**
 * 机构服务客户端
 * 
 * @author chenken
 * @date 2018年5月4日 下午3:28:53
 * @company QMTH
 * @description OrgCloudServiceClient.java
 */
@Service
public class OrgCloudServiceClient extends BasicCloudClientSupport implements OrgCloudService {

	private static final long serialVersionUID = -1608540743867447624L;

	@Autowired
	RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveOrgResp saveOrg(SaveOrgReq orgReq) {
		return post("org/saveOrg", orgReq, SaveOrgResp.class);
	}

	@Override
	public GetOrgResp getOrg(GetOrgReq req) {
		return post("org/getOrg", req, GetOrgResp.class);
	}

	@Override
	public GetOrgsResp getOrgs(GetOrgsReq req) {
		return post("org/getOrgs", req, GetOrgsResp.class);
	}

	@Override
	public GetAllOrgPropertiesResp getAllOrgProperties(GetAllOrgPropertiesReq req) {
		return post("org/getAllOrgProperties", req, GetAllOrgPropertiesResp.class);
	}

	@Override
	public GetOrgPropertyResp getOrgProperty(GetOrgPropertyReq req) {
		return post("org/getOrgProperty", req, GetOrgPropertyResp.class);
	}

}
