package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.UserCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserListReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserListResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class UserCloudServiceClient extends BasicCloudClientSupport implements UserCloudService {

	private static final long serialVersionUID = 5562847036151453132L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public AddUserResp addUser(AddUserReq req) {
		return post("user/addUser", req, AddUserResp.class);
	}

	@Override
	public GetUserResp getUser(GetUserReq req) {
		return post("user/getUser", req, GetUserResp.class);
	}

	@Override
	public GetUserListResp getUserList(GetUserListReq req) {
		return post("user/getUserList", req, GetUserListResp.class);
	}

}
