package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.examwork.api.ExamStudentCloudService;
import cn.com.qmth.examcloud.examwork.api.request.CopyExamStudentsReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentPageReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.response.CopyExamStudentsResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentPageResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp;

@Service
public class ExamStudentCloudServiceClient extends BasicCloudClientSupport
		implements
			ExamStudentCloudService {

	private static final long serialVersionUID = -8874453764538303046L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveExamStudentResp saveExamStudent(SaveExamStudentReq req) {
		return post("examStudent/saveExamStudent", req, SaveExamStudentResp.class);
	}

	@Override
	public CopyExamStudentsResp copyExamStudents(CopyExamStudentsReq req) {
		return post("examStudent/copyExamStudents", req, CopyExamStudentsResp.class);
	}

	@Override
	public GetExamStudentResp getExamStudent(GetExamStudentReq req) {
		return post("examStudent/getExamStudent", req, GetExamStudentResp.class);
	}

	@Override
	public GetExamStudentPageResp getExamStudentPage(GetExamStudentPageReq req) {
		return post("examStudent/getExamStudentPage", req, GetExamStudentPageResp.class);
	}

}
