package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordForMarkingCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamRecordForMarkingInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryValidExamRecordInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamRecordForMarkingInfoResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryValidExamRecordInfoResp;

@Service
public class ExamRecordForMarkingCloudServiceClient extends AdminCloudClientSupport implements ExamRecordForMarkingCloudService{
	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}
    
	@Override
	public FindExamRecordForMarkingInfoResp findExamRecordForMarkingInfo(FindExamRecordForMarkingInfoReq findExamRecordForMarkingInfoReq) {
		return post("examRecordForMarking/findExamRecordForMarkingInfo", findExamRecordForMarkingInfoReq, FindExamRecordForMarkingInfoResp.class);
	}

	@Override
	public QueryValidExamRecordInfoResp queryValidExamRecordInfo(QueryValidExamRecordInfoReq req) {
		return post("examRecordForMarking/queryValidExamRecordInfo", req, QueryValidExamRecordInfoResp.class);
	}
	
}
