package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordQuestionsCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QuerySubjectiveAnswerListReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.SaveSubjectiveQuestionScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QuerySubjectiveAnswerListResp;

@Service
public class ExamRecordQuestionsCloudServiceClient extends AdminCloudClientSupport implements ExamRecordQuestionsCloudService{
	
	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	public QuerySubjectiveAnswerListResp querySubjectiveAnswerList(QuerySubjectiveAnswerListReq req) {
		return post("examRecordQuestions/querySubjectiveAnswerList", req, QuerySubjectiveAnswerListResp.class);
	}

	@Override
	public void saveSubjectiveQuestionScore(SaveSubjectiveQuestionScoreReq req) {
		post("examRecordQuestions/saveSubjectiveQuestionScore", req, null);
	}

}
