package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryExamScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryExamScoreResp;

@Service
public class ExamScoreCloudServiceClient extends AdminCloudClientSupport implements ExamScoreCloudService{

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	public QueryExamScoreResp queryExamScore(QueryExamScoreReq req) {
		return post("examScore/queryExamScore", req, QueryExamScoreResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
