package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.OeAdminScorePushCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.SaveExamScoreQueueReq;

/**
 * 
 * @author  	chenken
 * @date    	2018年11月14日 下午6:49:20
 * @company 	QMTH
 * @description 分数推送
 */
@Service
public class OeAdminScorePushCloudServiceClient extends AdminCloudClientSupport implements OeAdminScorePushCloudService{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1682623291259562715L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}
	
	@Override
	public void disposeScoreQueue() {
		post("oeAdminScorePush/disposeScoreQueue", null);
	}
	
	@Override
	public void saveExamScoreQueue(SaveExamScoreQueueReq req) {
		post("oeAdminScorePush/saveExamScoreQueue", req);
	}

}
