/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.OeExamStudentCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.ExamStudentSyncAllDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.ExamStudentSyncPartDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamStudentInfoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.ExamStudentSyncAllDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.ExamStudentSyncPartDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamStudentInfoResp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * 考生信息接口
 *
 * @author: fengdesheng
 * @since: 2018/8/15
 */
@Service("oeExamStudentCloudService")
public class OeExamStudentCloudServiceClient extends AdminCloudClientSupport implements OeExamStudentCloudService {
    private static final long serialVersionUID = -8874453764538303046L;
    
    @Autowired
    private RestTemplate restTemplate;
    
    @Autowired
    private RedisClient redisClient;
    
    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    public ExamStudentSyncAllDataResp syncExamStudentAllData(ExamStudentSyncAllDataReq req) {
        return post("exam/student/sync/all/data", req, ExamStudentSyncAllDataResp.class);
    }

    @Override
    public ExamStudentSyncPartDataResp syncExamStudentPartData(ExamStudentSyncPartDataReq req) {
        return post("exam/student/sync/part/data", req, ExamStudentSyncPartDataResp.class);
    }

	@Override
	public FindExamStudentInfoResp findExamStudentInfoBy(FindExamStudentInfoReq req) {
		return post("exam/student/findExamStudentInfoBy", req, FindExamStudentInfoResp.class);
	}
	
}