package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.api.OeScorePushCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.SaveExamScoreQueueReq;

@Service
public class OeScorePushCloudServiceClient extends BasicCloudClientSupport implements OeScorePushCloudService{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1682623291259562715L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}
	
	@Override
	public void disposeScoreQueue() {
		post("oeScorePush/disposeScoreQueue", null);
	}
	
	@Override
	public void saveExamScoreQueue(SaveExamScoreQueueReq req) {
		post("oeScorePush/saveExamScoreQueue", req);
	}

}
