package cn.com.qmth.examcloud.core.oe.student.face.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureQueueCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.request.ExamCaptureQueueReq;

@Service("examCaptureQueueCloudService")
public class ExamCaptureQueueCloudServiceClient extends BasicCloudClientSupport implements ExamCaptureQueueCloudService{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4653085252925280697L;

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	public void processingExamCaptureQueue() {
		post("examCaptureQueue/processingExamCaptureQueue", null, null);
	}

	@Override
	public void disposeExamCapturePhoto(ExamCaptureQueueReq examCaptureQueueReq) {
		post("examCaptureQueue/disposeExamCapturePhoto", examCaptureQueueReq,null);
	}

	@Override
	public void changeExamCaptureQueueStatus() {
		post("examCaptureQueue/changeExamCaptureQueueStatus", null, null);
	}

	@Override
	public void examCaptureQueueMonitor() {
		post("examCaptureQueue/examCaptureQueueMonitor", null, null);
	}

}
