package cn.com.qmth.examcloud.core.oe.websocket.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.websocket.api.WebsocketCloudService;
import cn.com.qmth.examcloud.core.oe.websocket.api.request.SendMessageReq;


@Service("websocketCloudService")
public class WebsocketCloudServiceClient extends BasicCloudClientSupport implements WebsocketCloudService{

	/**
	 * 
	 */
	private static final long serialVersionUID = -183204183805080432L;

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	public void sendMessage(SendMessageReq sendMessageReq) {
		post("websocket/sendMessage",sendMessageReq,null);
	}

}
