/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.print.api.CoursePaperCloudService;
import cn.com.qmth.examcloud.core.print.api.request.SyncCoursePaperReq;
import cn.com.qmth.examcloud.core.print.api.response.SyncCoursePaperResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @author: fengdesheng
 * @since: 2018/11/15
 */
@Service("coursePaperCloudServiceClient")
public class CoursePaperCloudServiceClient extends PrintCloudClientSupport implements CoursePaperCloudService {
    private static final long serialVersionUID = 1L;
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private RedisClient redisClient;

    @Override
    protected RedisClient getRedisClient() {
        return redisClient;
    }

    @Override
    protected RestTemplate getRestTemplate() {
        return restTemplate;
    }

    @Override
    public SyncCoursePaperResp syncCoursePaper(SyncCoursePaperReq req) {
        return post("course/paper/save", req, SyncCoursePaperResp.class);
    }

}