package cn.com.qmth.examcloud.core.questions.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionListReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionsReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetCommonResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetDefaultQuesionIdResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetDefaultQuestionsResp;

/**
 * @author 		weiwenhai
 * @date		2018.9.10
 * @company		qmth
 * @description	试题对象远程调用请求接口
 */
public interface QuestionCloudService extends CloudService{

	/**
	 * 保存单个试题对象
	 * @param req
	 * @return
	 */
	GetDefaultQuesionIdResp saveQuestion(GetDefaultQuesionReq req);
	
	/**
	 * 修改单个试题对象
	 * @param req
	 * @return
	 */
	GetDefaultQuesionIdResp updateQuestion(GetDefaultQuesionReq req);
	
	/**
	 * 查询试题集合
	 * @param req
	 * @return
	 */
	GetDefaultQuestionsResp findQuestions(GetDefaultQuesionsReq req);
	
	/**
	 * 保存多个试题对象
	 * @param req
	 * @return
	 */
	GetCommonResp saveQuestionList(GetDefaultQuesionListReq req);
}
