package cn.com.qmth.examcloud.task.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.task.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.task.api.request.SyncExamReq;
import cn.com.qmth.examcloud.task.api.request.SyncExamStudentReq;
import cn.com.qmth.examcloud.task.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.task.api.request.SyncSpecialtyReq;
import cn.com.qmth.examcloud.task.api.request.SyncStudentReq;
import cn.com.qmth.examcloud.task.api.response.SyncCourseResp;
import cn.com.qmth.examcloud.task.api.response.SyncExamResp;
import cn.com.qmth.examcloud.task.api.response.SyncExamStudentResp;
import cn.com.qmth.examcloud.task.api.response.SyncOrgResp;
import cn.com.qmth.examcloud.task.api.response.SyncSpecialtyResp;
import cn.com.qmth.examcloud.task.api.response.SyncStudentResp;

/**
 * 数据同步接口
 *
 * @author WANGWEI
 * @date 2018年8月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface DataSyncCloudService extends CloudService {

	/**
	 * 同步课程
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncCourseResp syncCourse(SyncCourseReq req);

	/**
	 * 同步机构
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncOrgResp syncOrg(SyncOrgReq req);

	/**
	 * 同步学生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncStudentResp syncStudent(SyncStudentReq req);

	/**
	 * 同步专业
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncSpecialtyResp syncSpecialty(SyncSpecialtyReq req);

	/**
	 * 同步考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncExamResp syncExam(SyncExamReq req);

	/**
	 * 同步考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncExamStudentResp syncExamStudent(SyncExamStudentReq req);

}
